export const box = {
  box__default: {
    width: '100%',
    maxWidth: ['auto', 'auto', '940px'],
    fontSize: ['8px', '10px', '14px'],
    fontFamily: 'sans-serif',
    margin: '0 auto',
  },
  box__home_container: {
    maxWidth: ['550px', '550px', '660px', '990px'],
    width: '100%',
    margin: '0 auto',
    px: ['10px', '10px', '25px', '25px'],
  },
  box__slider_imgBanner: {
    flexShrink: 0,
    mr: '14px',
    width: ['100%', '100%', '100%', '616px'],
    height: ['286px', '286px', '286px', '353px'],
    boxShadow: ['none', 'none', 'none', '0 0 10px 8px #000'],
  },
  box__slider_infoName: {
    height: ['auto', 'auto', 'auto', '69px'],
    display: 'flex',
    alignItems: 'center',
    fontWeight: '300',
    px: '6px',
  },
  box__slider_infoScreenshots: {
    width: '310px',
    maxHeight: '176px',
    display: ['none', 'none', 'none', 'block'],
  },
  box__slider_infoScreenshots_img: {
    width: '145px',
    height: '69px',
    display: 'inline-block',
    padding: '5px 5px 0 0',
    boxSizing: 'unset',
  },
  box__slider_infoReason: {
    mt: ['none', 'none', 'none', '8px'],
    textAlign: 'left',
    color: '#fff',
    width: '298px',
    pl: '6px',
    maxHeight: '85px',
    overflow: 'hidden'
  },
  box__icon: {
    top: '15px',
    display: ['flex', 'flex', 'none', 'none'],
    alignItems: 'center',
    position: 'absolute',
    marginLeft: '10px',
    fontSize: ['15px', '25px', 'none', 'none'],
  },
  box__menu_table: {
    backgroundColor: '#0E141B',
    width: '250px',
    marginLeft: '0px',
    display: ['block', 'block', 'none', 'none'],
    position: 'fixed',
    top: '0',
    left: '0',
    bottom: '0',
    textAlign: 'left',
    zIndex: 1000,
    boxShadow: ['0 0 10px 8px black', '0 0 10px 8px black', 'none', 'none'],
  },
  box__menu: {
    backgroundColor: '#171A21',
    height: ['40px', '60px', '80px', '104px'],
    width: '100%',
  },
  box__menu_content: {
    width: ['100%', '100%', '768px', '900px'],
    margin: '0px auto',
    display: 'flex',
    position: 'relative',
    paddingLeft: ['none', 'none', '20px', '20px'],
  },
  box__menu_submenu: {
    display: ['none', 'none', 'flex', 'flex'],
    height: ['40px', '60px', '80px', '104px'],
    alignItems: 'center',
    listStyle: 'none',
    fontSize: ['6px', '10px', '14px', '16px'],
    paddingLeft: ['0px', '0px', '0px', '30px'],
  },
  box__menu_action: {
    position: 'absolute',
    right: ['0px', '5px', '10px', '15px'],
    top: ['2px', '5px', '5px', '5px'],
    height: '21px',
    fontSize: ['4px', '10px', '14px', '14px'],
    display: ['none', 'none ', 'flex', 'flex'],
    alignItems: 'center',
    cursor: 'pointer',
  },
  box__dropdown: {
    top: '30px',
    color: '#b8b6b4',
    display: 'grid',
    backgroundColor: 'red',
    position: 'absolute',
    height: ['30px', '50px', '100px'],
    width: '-webkit-fill-available',
    textAlign: 'initial',
    paddingLeft: '10px',
    border: '1px solid #171a21',
    paddingTop: '3px',
  },
  box_select__droplanguage: {
    display: 'flex',
    alignItems: 'center',
    paddingLeft: ['0px', '0px', '8px', '8px'],
    borderRadius: '4px',
    fontSize: ['4px', '10px', '14px', '14px'],
    cursor: 'pointer',
    color: '#b8b6b4',
    width: '100%',
    height: '47px',
    justifyContent: ['space-between', 'space-between', 'inherit', 'inherit'],
  },
  box_login__drop: {
    borderRadius: '4px',
    fontSize: ['4px', '10px', '14px', '14px'],
    cursor: 'pointer',
    color: '#b8b6b4',
    width: '100%',
    alignItems: 'center',
    justifyContent: ['space-between', 'space-between', 'flex-end', 'flex-end'],
    display: 'flex',
  },
  box_select__listlanguage: {
    position: 'absolute',
    border: ['none', 'none', '1px solid rgba(0,0,0,.15)', '1px solid rgba(0,0,0,.15)'],
    borderBottom: ['1px solid #2f3138', '1px solid #2f3138', 'none', 'none'],
    borderTop: ['1px solid #2f3138', '1px solid #2f3138', 'none', 'none'],
    backgroundColor: ['#192533', '#192533', '#171a21', '#171a21'],
    lineHeight: '1.5',
    boxShadow: ['none', 'none', '0 0 12px #000000', '0 0 12px #000000'],
    padding: '2px 0',
    borderRadius: '4px',
    color: '#b8b6b4',
    width: ['250px', '250px', '120px', '120px'],
    zIndex: '999',
    marginTop: ['0', '0', '-10px', '-10px'],
  },
  box__login: {
    display: ['block', 'block', 'flex', 'flex'],
    color: '#b8b6b4',
    marginLeft: ['0', '0', '10px', '10px'],
    textDecoration: 'none',
    fontSize: ['22px', '22px', '16px', '16px'],
    paddingTop: ['10px', '10px', '0px', '0px'],
    paddingBottom: ['10px', '10px', '0px', '0px'],
    paddingRight: ['20px', '20px', '0', '0'],
    borderBottom: ['1px solid #2f3138', '1px solid #2f3138', 'none', 'none'],
    cursor: 'pointer',
    ':hover': {
      color: '#FFFFFF',
    },
  },
  box_login__list: {
    position: 'absolute',
    zIndex: '999',
    border: ['none', 'none', '1px solid rgba(0,0,0,.15)', '1px solid rgba(0,0,0,.15)'],
    borderBottom: ['1px solid #2f3138', '1px solid #2f3138', 'none', 'none'],
    borderTop: ['1px solid #2f3138', '1px solid #2f3138', 'none', 'none'],
    backgroundColor: ['#192533', '#192533', '#171a21', '#171a21'],
    lineHeight: '1.5',
    boxShadow: ['none', 'none', '0 0 12px #000000', '0 0 12px #000000'],
    padding: '2px 0',
    borderRadius: '4px',
    color: '#b8b6b4',
    left: '0px',
    marginTop: ['23px', '23px', '8px', '8px'],
    width: ['250px', '250px', '100%', '100%'],
    top: ['10px', '15px', 'none', 'none'],
  },
  box__language: {
    color: '#8a8a8a',
    fontSize: '16px',
    ':hover': {
      color: '#FFFFFF',
    },
  },
  box_login__listItem: {
    zIndex: '1001',
    marginTop: ['-7px', '-7px', '0px', '0px'],
    padding: ['0px 35px', '0px 35px', '0px 15px', '0px 15px'],
    textAlign: 'left',
    cursor: 'pointer',
    lineHeight: 2.5,
  },
  box_select__listItemlanguage: {
    marginTop: ['-7px', '-7px', '0px', '0px'],
    padding: ['0px 35px', '0px 35px', '0px 15px', '0px 15px'],
    textAlign: 'left',
    cursor: 'pointer',
    lineHeight: 3.0,
  },
  box_select__drop: {
    display: 'flex',
    alignItems: 'center',
    padding: '8px 12px',
    borderRadius: '4px',
    backgroundColor: 'rgb(103 193 245 / 10%)',
    fontSize: '16px',
    cursor: 'pointer',
    color: '#67c1f5',
    width: '100%',
    height: '36px',
    '&:focus': {
      background: 'linear-gradient( -60deg, #417a9b 5%,#67c1f5 95%)',
    },
    '&:hover': {
      background: 'linear-gradient( -60deg, #417a9b 5%,#67c1f5 95%)',
      color: '#ffffff',
    },
  },
  box_select__list: {
    position: 'absolute',
    zIndex: '999',
    border: '1px solid rgba(0,0,0,.15)',
    marginTop: '5px',
    backgroundColor: '#417a9b',
    lineHeight: '1.5',
    boxShadow: '0 0 5px 0 #000000',
    width: '100%',
    borderRadius: '4px',
    color: '#ffffff',
    top: '30px',
  },
  box_select__listItem: {
    padding: '8px 15px',
    textAlign: 'left',
    backgroundColor: 'transition',
    cursor: 'pointer',
    '&:hover': {
      background: 'linear-gradient( -60deg, #417a9b 5%,#67c1f5 95%)',
      color: '#ffffff',
    },
  },
  box__background_homepage: {
    backgroundImage:
      'url("https://cdn-front-static.dmarket.com/prod/v1-183-14/assets/img/home/bg.jpg")',
    backgroundPosition: ['47% -75px', '47% -75px', '47% -75px', 'center -55px'],
    position: 'relative',
    minHeight: ['490px', '530px', '850px', '1000px'],
    padding: 'var(--ex-home-info-top-spacing) 0 50px',
    overflow: 'hidden',
    fontFamily: 'var(--ex-font-family)',
    color: '#fff',
    backgroundRepeat: 'no-repeat',
    backgroundSize: ['1000px', '1070px', '1640px', '1920px'],
  },
  box__paymentsIcon: {
    height: ['50px', '50px', '72px'],
    width: ['50px', '50px', '72px'],
    borderRadius: '50%',
    background: '#1b2218',
    margin: '-5px',
    svg: {
      height: ['35px', '35px', '52px'],
      width: ['35px', '35px', '52px'],
      padding: ['8px', '8px', '10px'],
    },
  },
  box__games_right: {
    position: 'absolute',
    top: '50px',
    left: '50%',
    TextAlign: 'left',
  },
  box__games_left: {
    position: 'absolute',
    top: ['0px', '50px'],
    left: ['0', '50%', '50%'],
    TextAlign: 'right',
    width: ['100%'],
  },
  box__gamesLink: {
    alignItems: 'flex-start',
    fontWeight: '600',
    cursor: 'pointer',
    position: 'absolute',
    display: 'flex',
    webkitBoxAlign: 'start',
    color: '#fff !important',
  },
  box__numberItem: {
    marginTop: ['15px', '15px', '25px', '25px'],
    textAlign: 'center',
    minWidth: '118px',
    webkitBoxFlex: '1',
    msFlex: '1',
    flex: ['none', 'none', 'none', '1'],
    width: ['50%', '50%', '33.33333333%', '33.33333333%'],
  },
  box__infoReason_description: {
    fontSize: '15px',
    fontWeight: '200',
    minHeight: 'auto',
    fontFamily: '"Motiva Sans", Sans-serif',
  },
  box__cardItem: {
    display: 'flex',
    flexDirection: 'column',
    width: ['100%', '100%', '100%', '100%'],
    height: ['290px', '256px', '265px', '256px'],
    overflow: 'hidden',
    borderRadius: '5px',
    backgroundColor: 'rgba(76, 112, 168, 0.25)',
    backdropFilter: 'blur(20px) saturate(180%) brightness(60%)',
    margin: '0 auto',
    ':hover': {
      boxShadow: '3px 8px 8px 3px rgb(0 0 0 / 60%)',
    },
    ':hover > a > div >img ': {
      transform: 'scale(1.2)',
    },
    ':hover > div >img ': {
      transform: 'scale(1.2)',
    },
  },
  box__cardItem_content: {
    display: 'flex',
    flexDirection: 'column',
    p: '6px 0px 6px 12px',
    background: 'linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.11) 100%)',
    textAlign: 'left',
  },
  box__discount_percent: {
    px: '3px',
    background: '#4c6b22',
    color: '#a4d007',
  },
  box__price_original: {
    color: '#aeb5b8',
    textDecoration: 'line-through',
    pl: '5px',
  },
  box__price_final: {
    color: '#d7e9f1',
    pl: '5px',
  },
  box_all_signin: {
    display: 'flex',
    justifyContent: ['center', 'center', 'center', 'center'],
    alignItems: 'center',
    height: '100vh',
    backgroundImage:
      'url(https://store.cloudflare.steamstatic.com/public/shared/images/joinsteam/acct_creation_bg.jpg)',
  },
  box_all_children: {
    boxShadow: '0 3px 10px 5px rgba(0, 0, 0, 30)',
    width: ['350px', '500px', '745px', '1000px'],
    height: '600px',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
  },
  box_signin_left_welcome: {
    backgroundImage:
      'url(https://store.cloudflare.steamstatic.com/public/shared/images/joinsteam/acct_creation_bg.jpg)',
    width: ['100%', '50%', '50%', '50%'],
    height: '100%',
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    flexDirection: 'column',
  },
  box_signin_right: {
    width: ['0%', '50%', '50%', '50%'],
    display: ['none', 'flex', 'flex', 'flex'],
    alignItems: 'center',
    flexDirection: 'column',
    justifyContent: 'center',
    backgroundColor: '#eceff1',
    height: '100%',
  },
  box_welcome_back: {
    fontSize: '30px',
    fontWeight: '700',
    marginBottom: '130px',
    fontFamily: 'unset',
  },
  box__tab_list_item: {
    display: 'inline-block',
    cursor: 'pointer',
    lineHeight: '27px',
    mt: '3px',
    fontSize: '13px',
    color: '#4f94bc',
    px: '10px',
    borderTopLeftRadius: '3px',
    borderTopRightRadius: '3px',
    textTransform: 'capitalize',
    ':hover': {
      color: '#fff',
    },
  },
  box_menu_store_icon: {
    display: ['block', 'block', ' none', 'none '],
    textAlign: 'left',
    marginLeft: '-7px',
  },
  box_menu_no_responsive: {
    display: ['block', 'block', 'flex', 'flex'],
    alignItems: 'center',
    justifyContent: 'space-between',
    width: ['none', 'none', '96%', '95%'],
    background:
      'linear-gradient(90deg, rgba(62, 103, 150, 0.919) 11.38%, rgba(58, 120, 177, 0.8) 25.23%, rgb(15, 33, 110) 100%)',
  },
  box_menu_search: {
    backgroundColor: '#316282',
    display: 'flex',
    borderRadius: '3px',
    height: '33px',
    margin: ['5px', '5px', 'auto', 'auto'],
    boxShadow: ['inset 0 0 4px #000000', 'inset 0 0 4px #000000', 'none', 'none'],
    border: '1px solid transparent',
    alignItems: 'center',
    ':hover': {
      border: '1px solid #4c9acc',
      backgroundImage: 'none',
      boxShadow: '1px 1px 0px rgb(255 255 255 / 0%)',
    },
    position: 'relative',
  },
  box_menu_responsive: {
    display: ['block', 'block', 'none', 'none'],
    width: '940px',
    background:
      'linear-gradient(90deg, rgba(62, 103, 150, 0.919) 11.38%, rgba(58, 120, 177, 0.8) 25.23%, rgb(15, 33, 110) 100%)',
  },
  box_menu_responsive2: {
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'flex-start',
  },
  box_menu_cart_all: {
    display: ['none', 'none', 'flex', 'flex'],
    justifyContent: 'flex-end',
    flexDirection: 'row',
    alignContent: 'flex-start',
    marginBottom: '5px',
    width: ['none', 'none', '96%', '95%'],
  },
  box_nav: {
    color: '#d9d9d9',
    fontSize: '16px',
    fontFamily: '-webkit-body',
    fontWeight: 'bold',
    textDecoration: 'none',
    padding: '10px',
    paddingLeft: ['auto', 'auto', '25px', '25px'],
    ':hover': {
      background:
        'linear-gradient(90deg, rgba(33, 162, 255, 0.25) 0%, rgba(33, 162, 255, 0.15) 50%, rgba(50, 50, 51, 0) 100%)',
    },
  },
  box_new_noteWorthy: {
    position: 'relative',
    fontSize: '16px',
    fontFamily: '-webkit-body',
    fontWeight: 'bold',
    color: '#d9d9d9',
    textDecoration: 'none',
    padding: '10px 0px 10px 22px',
    paddingLeft: ['0px', '0px', '22px', '22px'],
    background: [
      'none',
      'none',
      'url(https://store.akamai.steamstatic.com/public/images/v6/storemenu/new_white.svg?v=2) bottom left no-repeat',
    ],
    backgroundSize: ['0px', '0px', '26px 26px'],
    backgroundPosition: ['0px', '0px', '0 7px'],
    marginLeft: '10px',
  },
  box_hover_submenu: {
    position: ['auto', 'auto', 'absolute', 'absolute'],
    top: '73px',
    background:
      'linear-gradient(90deg ,rgba(33, 162, 255, 0.1) 1.89%, rgba(50, 50, 51, 0) 50%), linear-gradient(180deg,#575860 11.6%, #3A4852 54.73%, #2C2D34 100%)',
    textAlign: 'left',
    zIndex: '999',
    width: ['100%', '100%', '170px', '170px'],
    display: 'flex',
    justifyContent: ['flex-start', 'flex-start', 'center', 'center'],
  },
  box_all_profile: {
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    alignItems: 'center',
  },
  box_all_children_profile: {
    backgroundImage:
      'url(https://community.cloudflare.steamstatic.com/public/images//bg_highlight.png)',
    backgroundPosition: 'bottom',
    backgroundRepeat: 'no-repeat',
    margin: '0px auto',
    textAlign: 'center',
    minHeight: '113px',
    paddingTop: '30px',
    width: ['100%', '100%', '100%', '100%'],
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    alignItems: 'center',
  },
  box_full_name_profile: {
    margin: '8px 0px 10px 12px',
    fontSize: ['40px', '48px', '48px', '48px'],
    color: '#fff',
    fontWeight: '700',
    textAlign: 'left',
  },
  box_body_profile: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    flexDirection: ['column', 'column', 'column', 'row'],
    maxWidth: '83vw',
  },
  box_body_left_profile: {
    width: ['auto', 'auto', 'auto', '450px'],
    marginTop: '40px',
    textAlign: 'left',
    padding: '40px 30px 30px 30px',
    background:
      'linear-gradient( to bottom, rgba( 64, 128, 183, 0.4) 5%, rgba( 64, 128, 183, 0.2) 95%)',
    boxShadow: '0px 0px 3px 0px rgb(20 20 20)',
  },
  box_body_right_profile: {
    width: ['auto', '100%', '100%', '304px'],
    marginTop: '8px',
    paddingRight: '12px',
    textAlign: 'left',
    marginLeft: ['0px', '20px', '20px', '65px'],
    color: '#fff',
  },
  box__tab_lists: {
    textAlign: 'left',
    mb: '8px',
    height: '31px',
    whiteSpace: 'nowrap',
    overflowX: 'auto',
  },
  box_all_title_submenu: {
    display: 'flex',
    flexDirection: 'column',
    cursor: 'pointer',
  },
  box_menu_no_responsive_2: {
    display: ['block', 'block', 'flex', 'flex'],
    width: ['100vw', '100vw', '100%', '100%'],
    textAlign: 'left',
  },
  box_all_footer: {
    display: 'flex',
    justifyContent: 'center',
    minHeight: '500px',
    background: '#171a21',
    flexDirection: 'column',
    alignItems: 'center',
  },
  box_footer_top: {
    display: 'flex',
    flexDirection: ['column', 'column', 'row', 'row'],
    justifyContent: ['center', 'center', 'space-between', 'space-between'],
    width: ['95%', '75%', '85%', '940px'],
    marginBottom: ['auto', 'auto', '25px', '25px'],
    marginTop: ['auto', 'auto', '-35px', '-35px'],
  },
  box_content_footer: {
    textAlign: 'left',
    position: 'relative',
    marginBottom: ['25px', '25px', 'auto', 'auto'],
    marginTop: ['20px', '20px', '0px', '0px'],
  },
  box_content_top: {
    fontWeight: '500',
    color: '#fff',
    fontFamily: '-webkit-body',
    fontSize: '18px',
    marginTop: '10px',
  },
  box_follow_us: {
    color: '#fff',
    fontWeight: '500',
    textAlign: 'left',
    marginTop: '20px',
  },
  box_all_icon_footer: {
    marginTop: '10px',
    textAlign: 'left',
    margin: '20px 0px 30px 0px',
    borderBottom: '1px solid #8F98A0',
    paddingBottom: '25px',
  },
  box_cap_footer: {
    display: 'flex',
    marginTop: '20px',
    textAlign: 'left',
    alignItems: 'center',
    marginBottom: '20px',
  },
  box_text_content: {
    textAlign: 'left',
    marginTop: '10px',
  },
  box_all_footer_child: {
    maxWidth: ['540px', '540px', '100%', '100%'],
    paddingLeft: ['10px', '10px', '10px', '10px'],
    display: ['block', 'block', 'flex', 'flex'],
    flexDirection: 'column',
    alignItems: ['auto', 'auto', 'center', 'auto'],
  },
  box__Container: {
    width: '100%',
    mx: 'auto',
    px: '26px',
    maxWidth: ['720px', '960px', '990px'],
  },
  box__cart_item: {
    minHeight: '77px',
    bg: 'rgba(0,0,0, 0.2)',
    padding: '10px',
    margin: '10px 15px',
    border: '1px solid rgba(0,0,0, 0.3)',
    borderRadius: '2px',
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center'
  }
}
